// pages/pointList/pointList.js
const app = getApp()
const wxService = require('../../utils/wxService')
const utils = require('../../utils/util')

wxService.page({
  /**
   * 页面的初始数据
   */
  data: {
    pointList: [],
    currentPointList: [] // 合并对象
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    this.getPointList()
  },
  getPointList() {
    wx.showLoading({
      title: '加载中'
    })
    wxService.get(`/sale/touchpoints/pointConsumptionActivity/findAllValidActivityList`).then(res => {
      if(res) {
        const { result, data } = res.data
        if (result == 0) {
          this.setData({
            pointList: data
          })
          data.forEach(item=>{
            this.getPointConsumptionCount(item.id)
          })
        }
      } 
    })
  },
  getPointConsumptionCount(activityId) {
    const { memberId } = wx.getStorageSync('_baseUserInfo')
    // 会员集点活动统计信息
    wxService.post(`/sale/touchpoints/pointConsumptionCount/getPointConsumptionCount?activityId=${activityId}&memberId=${memberId}`).then(res => {
      if (res) {
        const { result, data } = res.data
        if (result == 0) {
          wx.hideLoading()
          let obj1 = {...this.data.pointList,...res.data}
          let currentList = []
          currentList.push(obj1)
          this.setData({
            currentPointList: currentList
          })
        }
      }
    })
  },
  handleDetail(e) {
    const {id} = e.currentTarget.dataset
    wxService.router(`/pages/pointDetail/pointDetail`).search({id})
  },
  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})